[package]
name = "grammalecte_client"
version = "0.1.5"
edition = "2021"
authors = ["Pierre Hubert <pierre.git@communiquons.org>"]
description = "Grammalecte HTTP client"
license = "MIT"
repository = "https://gitea.communiquons.org/pierre/GrammalecteClient"
keywords = ["grammalecte", "spell-check", "spellcheck"]
readme = "README.md"
categories = ["text-processing"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
serde_json = "1.0.96"
reqwest = { version = "0.12.4", features = ["json"] }
serde = { version = "1.0.163", features = ["derive"] }
log = "0.4.17"
zip = { version = "2.1.3", optional = true }
mktemp = { version = "0.5.0", optional = true }
rand = { version = "0.8.5", optional = true }
port_scanner = { version = "0.1.5", optional = true }
thiserror = "1.0.61"

[features]
embedded-server = ["zip", "mktemp", "rand", "port_scanner"]

[dev-dependencies]
env_logger = "0.11.3"
tokio = { version = "1.28.1", features = ["full"] }
